Bug 148389 - allow drag and drop of text onto file list to open file
Summary: allow drag and drop of text onto file list to open file
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR wishlist with 10 votes (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-07-31 11:43 UTC by Christian Weiske
Modified: 2011-08-12 08:40 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.7.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Weiske 2007-07-31 11:43:45 UTC
Version:            (using KDE KDE 3.5.5)
Installed from:    Gentoo Packages
OS:                Linux

I often have code file paths in my terminal that I need to open in kate for further editing.
The ideal way to do this is selecting the filename in konsole, dragging it away and dropping it onto kate. If I drop it onto the kate text area, it is inserted as text which is fine.
I would however like to be able to drop that textual filename onto the document list or/and the document tabs to open it.
Comment 1 Dominik Haumann 2011-08-12 08:31:34 UTC
Git commit 250d8e3388aab749ebae95a0f18be3e986a2f72f by Dominik Haumann.
Committed on 12/08/2011 at 10:29.
Pushed by dhaumann into branch 'master'.

allow drag & drop of text -> opens new document

BUG: 148389

M  +40   -23   kate/app/katemainwindow.cpp

http://commits.kde.org/kate/250d8e3388aab749ebae95a0f18be3e986a2f72f
Comment 2 Dominik Haumann 2011-08-12 08:40:13 UTC
Git commit 4bce2d23d2e50a8663090000b4fd2706c7636862 by Dominik Haumann.
Committed on 12/08/2011 at 10:29.
Pushed by dhaumann into branch 'KDE/4.7'.

allow drag & drop of text -> opens new document

BUG: 148389

M  +40   -23   kate/app/katemainwindow.cpp

http://commits.kde.org/kate/4bce2d23d2e50a8663090000b4fd2706c7636862